GNU bug report logs - #18443
24.3.93; Feature request - Add a variable for byte-compile function in `package--compile'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thierry Volpiatto <thierry.volpiatto@HIDDEN>; merged with #10125, #18448, #21267; dated Wed, 10 Sep 2014 08:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10125 18443 18448 21267. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18443 <at> debbugs.gnu.org:


Received: (at 18443) by debbugs.gnu.org; 11 Sep 2014 16:21:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 11 12:21:28 2014
Received: from localhost ([127.0.0.1]:38306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XS77g-00037W-BX
	for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 12:21:28 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:39995)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XS77e-00037I-Df
 for 18443 <at> debbugs.gnu.org; Thu, 11 Sep 2014 12:21:26 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XS77d-0005gs-Vn; Thu, 11 Sep 2014 12:21:26 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18443 <at> debbugs.gnu.org
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
References: <87ha0fx5q0.fsf@HIDDEN>
 <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN> <87sijypv25.fsf@HIDDEN>
 <oglhpq1776.fsf@HIDDEN>
X-Spook: enemy of the state Putin Merlin Consul Bush Wired warfare
X-Ran: a*"kc@5Y[Z`m+oRx<<zK&IJI<cXN6F3|BkB|$`IS.bhIPf03}o7f4gRCRF9;_MeA^%}03o
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 11 Sep 2014 12:21:25 -0400
In-Reply-To: <oglhpq1776.fsf@HIDDEN> (Glenn Morris's message of
 "Thu, 11 Sep 2014 11:57:01 -0400")
Message-ID: <ysy4tqt9fe.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 18443
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

Glenn Morris wrote:

> Eg http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#17 and
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#50 .

I meant to say
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#17 and
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#122




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.

Message received at 18443 <at> debbugs.gnu.org:


Received: (at 18443) by debbugs.gnu.org; 11 Sep 2014 15:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 11 11:57:05 2014
Received: from localhost ([127.0.0.1]:38286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XS6k4-0001E4-VF
	for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 11:57:05 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:39179)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XS6k2-0001Dw-NR
 for 18443 <at> debbugs.gnu.org; Thu, 11 Sep 2014 11:57:03 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XS6k1-0003tu-Jl; Thu, 11 Sep 2014 11:57:01 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18443 <at> debbugs.gnu.org
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
References: <87ha0fx5q0.fsf@HIDDEN>
 <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN> <87sijypv25.fsf@HIDDEN>
X-Spook: pre-emptive Semtex e-bomb United Nations IRA 9705 Samford
X-Ran: !v2.e]X$!{Bk.RuniqNO'uF6hgT_8HB&})wbd^SQ(Hm?:5!h3MH+i8_Y$C+vK"GJZe(1[.
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 11 Sep 2014 11:57:01 -0400
In-Reply-To: <87sijypv25.fsf@HIDDEN> (Michael Heerdegen's message of "Thu, 11
 Sep 2014 07:47:46 +0200")
Message-ID: <oglhpq1776.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -7.5 (-------)
X-Debbugs-Envelope-To: 18443
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.5 (-------)

Michael Heerdegen wrote:

>> Could you give some detail about what kind of advice you're installing
>> ("git pull; grep defadvice" didn't help).
>
> https://github.com/jwiegley/emacs-async/blob/master/async-bytecomp.el

In other words, compiling in a separate Emacs instances (with some sugar on).

Eg http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#17 and
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10125#50 .




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.
Merged 10125 18443 18448. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18443 <at> debbugs.gnu.org:


Received: (at 18443) by debbugs.gnu.org; 11 Sep 2014 05:47:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 11 01:47:58 2014
Received: from localhost ([127.0.0.1]:37215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRxEb-0000kz-M7
	for submit <at> debbugs.gnu.org; Thu, 11 Sep 2014 01:47:57 -0400
Received: from mout.web.de ([212.227.15.4]:64890)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1XRxEX-0000kc-Ey
 for 18443 <at> debbugs.gnu.org; Thu, 11 Sep 2014 01:47:54 -0400
Received: from drachen.dragon ([90.186.197.37]) by smtp.web.de (mrweb002) with
 ESMTPSA (Nemesis) id 0M0yvn-1YMX6216iN-00v67e;
 Thu, 11 Sep 2014 07:47:50 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
References: <87ha0fx5q0.fsf@HIDDEN>
 <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN>
Date: Thu, 11 Sep 2014 07:47:46 +0200
In-Reply-To: <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 10 Sep 2014 09:39:56 -0400")
Message-ID: <87sijypv25.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:qu3R+6ViVm4LYBfs+yZE711aQOTun7amhrLHzN53WvTxK1pDzR7
 8Fv2gRrtrEgx70lPJJa7uyLnMaDLX1vYgyC16yWCVXZniZNinKG6+6kdculuSn8DyiA70Xx
 9Ff5l2yIwCoQMMykEbEbDD0dZVNc4/178HwkK4bASX05s+YSunWkmc0PhtfVYkq+xCj4f/Z
 gPgqM8C60I9SfJUibowcQ==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 18443
Cc: 18443 <at> debbugs.gnu.org, Thierry Volpiatto <thierry.volpiatto@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

Stefan Monnier <monnier@HIDDEN> writes:

> Could you give some detail about what kind of advice you're installing
> ("git pull; grep defadvice" didn't help).

https://github.com/jwiegley/emacs-async/blob/master/async-bytecomp.el


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2014 16:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 10 12:39:50 2014
Received: from localhost ([127.0.0.1]:36780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRkvt-0000Q5-PY
	for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:39:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60258)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvq-0000Pp-Vb
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:39:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvf-0001Mr-44
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:39:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54071)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvf-0001Mn-26
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:39:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33667)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvY-0004uK-5U
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 12:39:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvS-000126-8Y
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 12:39:28 -0400
Received: from plane.gmane.org ([80.91.229.3]:59163)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvS-000121-2n
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 12:39:22 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1XRkvP-00012y-6L
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 18:39:19 +0200
Received: from lbe83-2-78-243-104-167.fbx.proxad.net ([78.243.104.167])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Sep 2014 18:39:19 +0200
Received: from thierry.volpiatto by lbe83-2-78-243-104-167.fbx.proxad.net with
 local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Sep 2014 18:39:19 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
Date: Wed, 10 Sep 2014 18:39:07 +0200
Organization: Emacs Helm
Lines: 18
Message-ID: <877g1b5t1w.fsf@HIDDEN>
References: <87ha0fx5q0.fsf@HIDDEN>
 <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN>
 <k9ha0f31n0.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: lbe83-2-78-243-104-167.fbx.proxad.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.93 (gnu/linux)
Cancel-Lock: sha1:9EoZwwkVFjpP1xxMbtYm7Iuid0g=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Glenn Morris <rgm@HIDDEN> writes:

> Stefan Monnier wrote:
>
>>    E.g. we could add to bytecomp.el the ability to force `require' to
>>    reload a package if it's not already loaded from the file that
>>    locate-library returns.
>
> This means this is the same issue as #10125. (The other suggestion was to
> compile packages in a separate Emacs instance.)

It is what I propose too, and what I already do when advicing
`package--compile'.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.
Forcibly Merged 10125 18443. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18443 <at> debbugs.gnu.org:


Received: (at 18443) by debbugs.gnu.org; 10 Sep 2014 16:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 10 12:01:59 2014
Received: from localhost ([127.0.0.1]:36762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRkLH-0006fq-7l
	for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:01:59 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:36370 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XRkLF-0006fi-35
 for 18443 <at> debbugs.gnu.org; Wed, 10 Sep 2014 12:01:57 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XRkLD-00059N-9z; Wed, 10 Sep 2014 12:01:55 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 18443 <at> debbugs.gnu.org
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
References: <87ha0fx5q0.fsf@HIDDEN>
 <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN>
X-Spook: afsatcom Capricorn Kosovo embassy underground 22nd SAS
X-Ran: -2~%ZFj|VF{Zo9NwK.R((:;Vh8:rc@)mC}/$T*T`\$j"#aY_Krdp5*Z(c/"}Q10)O5rN!p
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 10 Sep 2014 12:01:55 -0400
In-Reply-To: <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 10 Sep 2014 09:39:56 -0400")
Message-ID: <k9ha0f31n0.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.8 (------)
X-Debbugs-Envelope-To: 18443
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.8 (------)

Stefan Monnier wrote:

>    E.g. we could add to bytecomp.el the ability to force `require' to
>    reload a package if it's not already loaded from the file that
>    locate-library returns.

This means this is the same issue as #10125. (The other suggestion was to
compile packages in a separate Emacs instance.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.

Message received at 18443 <at> debbugs.gnu.org:


Received: (at 18443) by debbugs.gnu.org; 10 Sep 2014 13:40:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 10 09:40:05 2014
Received: from localhost ([127.0.0.1]:36079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRi7v-0001bt-T7
	for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 09:40:04 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:40926)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XRi7r-0001bM-6E
 for 18443 <at> debbugs.gnu.org; Wed, 10 Sep 2014 09:39:59 -0400
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id s8ADduAu015480;
 Wed, 10 Sep 2014 09:39:57 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id AD19760608; Wed, 10 Sep 2014 09:39:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#18443: 24.3.93;
 Feature request - Add a variable for byte-compile function in
 `package--compile'
Message-ID: <jwv61gvk3mn.fsf-monnier+emacsbugs@HIDDEN>
References: <87ha0fx5q0.fsf@HIDDEN>
Date: Wed, 10 Sep 2014 09:39:56 -0400
In-Reply-To: <87ha0fx5q0.fsf@HIDDEN> (Thierry Volpiatto's message of "Wed, 
 10 Sep 2014 10:03:19 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5059=0
X-NAI-Spam-Version: 2.3.0.9378 : core <5059> : inlines <1275> : streams
 <1286183> : uri <1812249>
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 18443
Cc: 18443 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

> would it be possible to add a variable to `package--compile' to allow
> using another function than `byte-recompile-directory'?
> I must use a defadvice actually which is annoying.

Could you give some detail about what kind of advice you're installing
("git pull; grep defadvice" didn't help).

> See https://github.com/emacs-helm/helm/issues/617
> https://github.com/emacs-helm/helm/issues/619
> and many similars issues you will find there to understand why
> `byte-recompile-directory' is inefficient.

Has someone tried my suggestion:

   E.g. we could add to bytecomp.el the ability to force `require' to
   reload a package if it's not already loaded from the file that
   locate-library returns.


-- Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2014 08:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 10 04:03:49 2014
Received: from localhost ([127.0.0.1]:35941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XRcsV-00007A-T9
	for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 04:03:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53773)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcsT-00006i-BD
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 04:03:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcsJ-0007i2-0E
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 04:03:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50,
 FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48225)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcsI-0007hy-Tz
 for submit <at> debbugs.gnu.org; Wed, 10 Sep 2014 04:03:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55482)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcsE-0008RP-23
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 04:03:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcs8-0007gr-BR
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 04:03:29 -0400
Received: from mail-wi0-x22c.google.com ([2a00:1450:400c:c05::22c]:41681)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thierry.volpiatto@HIDDEN>) id 1XRcs8-0007gc-1m
 for bug-gnu-emacs@HIDDEN; Wed, 10 Sep 2014 04:03:24 -0400
Received: by mail-wi0-f172.google.com with SMTP id q5so2512620wiv.11
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Sep 2014 01:03:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=SACYECJX/pc1qpLFTAhL0SYRFVM6weE0lOf0iy9KknA=;
 b=hUBhwChZ9EhjsEQZUKKWOHi50p8B0lGqme9Mg6tw52u/hKorRPl/uw6JHBPpcRcr7n
 dX/3SUbCy2j99Bgs6BwGRKuRkcYX4WMUHsQCJicMd//jCmwDRanyPVFXgGbcrDJ/P3YX
 0RTRArkzCRIKkubqeiSBDuQBErk7/DycTUsFTvIwehNqdy8/vnO2pxkYdF4gijsam1UE
 s/YYcCcNIsp++dLr6010t7Nrdz29q90A34kUveNYM4WgxjKtj4Pm9qyM8k2p0sn0/dEB
 jvgMk1eQZJ4qmwzeD7bDKyfLg9Lx9bW6yOCzFpPD/DtT3ps2mPcX+Fmq/Te3z87LVY8T
 ok+w==
X-Received: by 10.180.212.50 with SMTP id nh18mr34407395wic.81.1410336201743; 
 Wed, 10 Sep 2014 01:03:21 -0700 (PDT)
Received: from dell-14z (lbe83-2-78-243-104-167.fbx.proxad.net.
 [78.243.104.167])
 by mx.google.com with ESMTPSA id ew1sm17568842wjb.31.2014.09.10.01.03.20
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 10 Sep 2014 01:03:20 -0700 (PDT)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.93; Feature request - Add a variable for byte-compile function in
 `package--compile'
Date: Wed, 10 Sep 2014 10:03:19 +0200
Message-ID: <87ha0fx5q0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


Hi,

would it be possible to add a variable to `package--compile' to allow
using another function than `byte-recompile-directory'?

I must use a defadvice actually which is annoying.

See https://github.com/emacs-helm/helm/issues/617
https://github.com/emacs-helm/helm/issues/619
and many similars issues you will find there to understand why
`byte-recompile-directory' is inefficient.

Thanks.



In GNU Emacs 24.3.93.1 (x86_64-unknown-linux-gnu, X toolkit)
 of 2014-09-07 on dell-14z
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.1 LTS

Configured using:
 `configure --with-x-toolkit=lucid --without-toolkit-scroll-bars
 --without-gconf --without-gsettings'

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  psession-mode: t
  golden-ratio-mode: t
  winner-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  auto-image-file-mode: t
  eldoc-in-minibuffer-mode: t
  show-paren-mode: t
  display-time-mode: t
  recentf-mode: t
  savehist-mode: t
  eldoc-mode: t
  minibuffer-depth-indicate-mode: t
  helm-mode: t
  helm-descbinds-mode: t
  shell-dirtrack-mode: t
  helm-adaptive-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<f8> U b u q q <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<up> <up> <down> <down> <down> <down> <down> <down> 
<down> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> C-M-SPC M-w 
C-M-SPC M-w M-x r e p o r t <return>

Recent messages:
Indentation setup for shell type bash
Restoring buffers...41%
Here is not Git/Mercurial work tree
Restoring buffers...done
[mu4e] Started mu4e with 14502 messages in store
[mu4e] Retrieving mail...done
[mu4e] Indexing... processed 14000, updated 3
[mu4e] Indexing completed; processed 14504, updated 4, cleaned-up 0
[mu4e] mu4e-main-mode
Mark set [2 times]

Load-path shadows:
~/elisp/auctex/lpath hides ~/elisp/emacs-wget/lpath
/usr/local/share/emacs/24.3.93/lisp/emacs-lisp/tq hides ~/elisp/emms/lisp/tq

Features:
(shadow epa-mail emacsbug helm-command mule-util sh-script smie
executable markdown-mode vc-rcs vc-git naquadah-theme em-unix em-script
em-prompt em-ls em-hist em-pred em-glob em-dirs em-cmpl em-basic
em-banner em-alias align-let git-gutter server psession golden-ratio
winner undo-tree diff slime-xref-browser slime-banner slime-tramp
slime-asdf slime-fancy slime-trace-dialog slime-fontifying-fu
slime-package-fu slime-references slime-compiler-notes-tree
slime-scratch slime-presentations bridge slime-fuzzy slime-fancy-trace
slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
slime-repl elp slime-parse slime gud apropos etags arc-mode archive-mode
image-file xdvi-search preview-latex tex-site auto-loads
pcomplete-extension pcmpl-unix pcmpl-gnu em-term term disp-table ehelp
helm-ipython helm-elisp helm-eval python json eldoc-eval warnings
whitespace paren time recentf tree-widget savehist mu4e-config org-mu4e
helm-mu mu4e-contrib mu4e mu4e-speedbar speedbar sb-image ezimage dframe
mu4e-main mu4e-view mu4e-headers mu4e-compose mu4e-draft mu4e-actions
ido rfc2368 mu4e-mark mu4e-message html2text mu4e-proc mu4e-utils
mu4e-lists mu4e-about mu4e-vars mu4e-meta gnus-dired nnir gnus-sum
gnus-group gnus-undo nnmail mail-source gnus-start gnus-spec gnus-int
gnus-range gnus-win nnoo config-w3m w3m-search w3m doc-view jka-compr
image-mode timezone w3m-hist w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl
w3m-favicon w3m-image w3m-proc w3m-util w3m-load smtpmail-async smtpmail
sendmail dired-async iterator lacarte iedit-rect iedit iedit-lib
smallurl mm-url gnus gnus-ems nnheader wid-edit rectangle-utils rect
ledger-config ledger esh-var esh-io esh-cmd esh-opt esh-ext esh-proc
eldoc esh-groups eshell esh-module esh-mode esh-arg esh-util tv-utils
async pcvs vc-cvs pcvs-parse pcvs-info pcvs-defs pcvs-util ewoc mb-depth
cl-info hyperspec slime-autoloads esh-toggle flymake no-word htmlize cl
dired-extension emms-mpd-config emms-playlist-limit emms-volume
emms-volume-amixer emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser sort emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics emms-url hl-line
emms-tag-editor emms-mark emms-mode-line emms-cache emms-info-ogginfo
emms-info-mp3info emms-playlist-mode emms-player-vlc emms-player-mplayer
emms-info emms-streams later-do emms-source-playlist emms-source-file
emms-player-simple emms-setup emms emms-compat org-config-thierry ob-sh
org-crypt cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs appt diary-lib diary-loaddefs
org-annotation-helper addressbook-bookmark message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev mail-utils gmm-utils mailheader firefox-protocol
bookmark-firefox-handler bookmark-extensions org org-macro org-footnote
org-pcomplete org-list org-faces org-entities noutline outline
easy-mmode org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob
ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs init-helm-thierry
helm-mode helm-dictionary helm-ls-git helm-descbinds helm-ls-hg
helm-files image-dired tramp tramp-compat tramp-loaddefs trampver shell
pcomplete format-spec dired-x dired-aux ffap thingatpt helm-buffers
helm-elscreen helm-tags helm-bookmark helm-adaptive helm-info helm-net
browse-url xml url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse url-vars mailcap
helm-plugin bookmark pp helm-help helm-match-plugin helm-grep wgrep-helm
wgrep helm-regexp grep helm-external helm-utils dired compile comint
ansi-color ring helm-locate helm cl-macs gv helm-source vc vc-dispatcher
helm-config helm-aliases epa-file epa derived epg epg-config auth-source
eieio byte-opt bytecomp byte-compile cconv eieio-core gnus-util mm-util
mail-prsvr password-cache package time-date avoid cus-start cus-load
w3m-wget info easymenu edmacro kmacro advice help-fns net-utils
cl-loaddefs cl-lib tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting font-render-setting x-toolkit x multi-tty
emacs)

Memory information:
((conses 16 525409 32858)
 (symbols 48 57379 3)
 (miscs 40 348 854)
 (strings 32 139593 19933)
 (string-bytes 1 4055614)
 (vectors 16 48444)
 (vector-slots 8 853380 24969)
 (floats 8 2140 334)
 (intervals 56 1163 0)
 (buffers 960 98)
 (heap 1024 59141 2592))
-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Acknowledgement sent to Thierry Volpiatto <thierry.volpiatto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18443; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Aug 2015 17:30:05 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.